# Cutlass: cutlass::FragmentStore< IteratorFragment::kScalar, kAccessSize, Scalar_, Memory_, FragmentElement_, kStride > Struct Template Reference

cutlass::FragmentStore< IteratorFragment::kScalar, kAccessSize, Scalar_, Memory_, FragmentElement_, kStride > Struct Template Reference

`#include <fragment_load_store.h>`

## Public Types

typedef Vectorize< Scalar_, kAccessSize >::Type | AccessType
| The input type. More...

## Static Public Member Functions

static CUTLASS_DEVICE void | store (AccessType const &value, Scalar_ *pointer, int offset)
| The store function. More...

## Member Typedef Documentation

## AccessType

template<int kAccessSize, typename Scalar_ , MemorySpace::Kind Memory_, typename FragmentElement_ , int kStride>

typedef Vectorize<Scalar_, kAccessSize>::Type cutlass::FragmentStore< IteratorFragment::kScalar, kAccessSize, Scalar_, Memory_, FragmentElement_, kStride >::AccessType

## Member Function Documentation

## store()

template<int kAccessSize, typename Scalar_ , MemorySpace::Kind Memory_, typename FragmentElement_ , int kStride>

static CUTLASS_DEVICE void cutlass::FragmentStore< IteratorFragment::kScalar, kAccessSize, Scalar_, Memory_, FragmentElement_, kStride >::store | ( | AccessType const & | value,
|  | Scalar_ * | pointer,
|  | int | offset
| ) |  |

inlinestatic

The documentation for this struct was generated from the following file:

- fragment_load_store.h